searchNodes=[{"doc":"A set of helper functions that make LiveView tests easier to read and write as a pipeline without leaking details of the conn, view, rendering, patching, etc. To use in your tests, you may replace: import Phoneix.LiveViewTest with (using the helpers takes care of the import for you): use Iamvery.Phoenix.LiveView.TestHelpers And then write tests like: test &quot;a view&quot; , %{ conn : conn } do start ( conn , &quot;/&quot; ) |&gt; assert_visible ( &quot;Something&quot; ) |&gt; click ( &quot;Edit&quot; ) |&gt; assert_visible ( &quot;Editing Something&quot; ) end","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html","title":"Iamvery.Phoenix.LiveView.TestHelpers","type":"module"},{"doc":"Assert that some selector with the (optional) content exists in the view. You may notice the similarity of this function to assert_visible/3. The downside of this function is that assertion failures to not provide as specific feedback (due to the difference in implementation). The advantage is that it may be used to assert in elements that appear repeatedly by their selector. Example # Given some multi-select |&gt; assert_element ( &quot;option[selected]&quot; , &quot;Picked&quot; ) # Would pass if there is any selected &quot;option&quot; that matches the text # &quot;Picked&quot;. While assert_visible/3 in this case would fail when there are # multiple selected options on the page at all.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#assert_element/3","title":"Iamvery.Phoenix.LiveView.TestHelpers.assert_element/3","type":"function"},{"doc":"","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#assert_html/2","title":"Iamvery.Phoenix.LiveView.TestHelpers.assert_html/2","type":"function"},{"doc":"","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#assert_path/2","title":"Iamvery.Phoenix.LiveView.TestHelpers.assert_path/2","type":"function"},{"doc":"Assert that some content exists in the view. Note: At this time, the assertion will match any part of the entire page document as a string which does not precisely align with the &quot;visible&quot; part of the function name. This is a known issue and is on the slate for discussion.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#assert_visible/2","title":"Iamvery.Phoenix.LiveView.TestHelpers.assert_visible/2","type":"function"},{"doc":"Assert that some selector exists in the view whose (optional) content matches. You may notice the similarity of this function to assert_element/3. The advantage of assert_visible/3 becomes apparent when the assertion fails. This function provides and more specific failure message, i.e. &quot;here's the element that was found&quot; vs. &quot;the expected element simply doesn't exist on the page&quot;. Note: At this time, the assertion will match any part of the entire page document as a string which does not precisely align with the &quot;visible&quot; part of the function name. This is a known issue and is on the slate for discussion.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#assert_visible/3","title":"Iamvery.Phoenix.LiveView.TestHelpers.assert_visible/3","type":"function"},{"doc":"Change a form and render the change so that assertions may be made about the result.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#change_form/3","title":"Iamvery.Phoenix.LiveView.TestHelpers.change_form/3","type":"function"},{"doc":"Locate an element on page an issue a phx-click event. If the system redirects, automatically follow the redirects (recursively) until a view is rendered.. If it simply renders, the new rendered view is returned.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#click/3","title":"Iamvery.Phoenix.LiveView.TestHelpers.click/3","type":"macro"},{"doc":"A small utility function that makes it easy to assert HTML as a string. Note: I am considering a sigil for this case. It requires more research. Example |&gt; assert_visible ( &quot;can&amp;#39;t be blank&quot; ) |&gt; assert_visible ( escape ( can &#39; t be blank &quot; ) )","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#escape/1","title":"Iamvery.Phoenix.LiveView.TestHelpers.escape/1","type":"function"},{"doc":"The opposite of assert_element/3.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#refute_element/3","title":"Iamvery.Phoenix.LiveView.TestHelpers.refute_element/3","type":"function"},{"doc":"","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#refute_html/2","title":"Iamvery.Phoenix.LiveView.TestHelpers.refute_html/2","type":"function"},{"doc":"The opposite of assert_visible/2. Note: At this time, the assertion will match any part of the entire page document as a string which does not precisely align with the &quot;visible&quot; part of the function name. This is a known issue and is on the slate for discussion.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#refute_visible/2","title":"Iamvery.Phoenix.LiveView.TestHelpers.refute_visible/2","type":"function"},{"doc":"The opposite of assert_visible/3. Note: At this time, the assertion will match any part of the entire page document as a string which does not precisely align with the &quot;visible&quot; part of the function name. This is a known issue and is on the slate for discussion.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#refute_visible/3","title":"Iamvery.Phoenix.LiveView.TestHelpers.refute_visible/3","type":"function"},{"doc":"Simply rerender the LiveView. In some test, there are background events that trigger changes to the view, this functions provides a mechanism to render the view again after such an event in your test.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#rerender/1","title":"Iamvery.Phoenix.LiveView.TestHelpers.rerender/1","type":"function"},{"doc":"This function is the &quot;helpers&quot; analog of LiveView's live/2 function.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#start/2","title":"Iamvery.Phoenix.LiveView.TestHelpers.start/2","type":"macro"},{"doc":"Submit a form and follow its redirect.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#submit_form/3","title":"Iamvery.Phoenix.LiveView.TestHelpers.submit_form/3","type":"macro"},{"doc":"A utility function that makes it easy to open the current view up in a browser for visual debugging as you write your test. No more than a small wrapper over the open_browser/1 function you may already be familiar with.","ref":"Iamvery.Phoenix.LiveView.TestHelpers.html#view_in_browser/1","title":"Iamvery.Phoenix.LiveView.TestHelpers.view_in_browser/1","type":"function"},{"doc":"Documentation for Skipper .","ref":"Skipper.html","title":"Skipper","type":"module"},{"doc":"Hello world. Examples iex&gt; Skipper . hello ( ) :world","ref":"Skipper.html#hello/0","title":"Skipper.hello/0","type":"function"}]